Skip to main content
`Ctrl`+`K`

# KSPConvergedReasonViewFn

A prototype of a function used with `KSPConvergedReasonViewSet()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode KSPConvergedReasonViewFn(KSP ksp, PetscCtx ctx);

## Calling Sequence

- ksp - the `KSP` object whose `KSPConvergedReason` is to be viewed

- ctx - context used by the function, set with `KSPConvergedReasonViewSet()`

## See Also

KSP: Linear System Solvers, `KSP`, `KSPConvergedReasonView()`, `KSPConvergedReasonViewSet()`, `KSPConvergedReasonViewFromOptions()`, `KSPView()`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages